Reviews
These API endpoints are related to reviews on Omniplex
Gets the reviews of a bot by its ID or vanity.
UserUser-Auth<token>Requires a user token. Should be prefixed with User in Authorization header.
target_type*stringThe target type of the entity
target_id*stringThe target ID of the entity
Success
application/json- response
reviews?array<>curl -X GET 'https://spider.omniplex.gg/string/string/reviews'{ "reviews": [ { "author": { "avatar": "string", "bot": true, "display_name": "string", "extra_data": { "property1": null, "property2": null }, "flags": [ "string" ], "id": "string", "status": "string", "username": "string" }, "content": "string", "created_at": "2019-08-24T14:15:22Z", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "owner_review": true, "parent_id": "1c6ca187-e61f-4301-8dcb-0e9749e89eef", "stars": 0, "target_id": "string", "target_type": "string" } ]}Creates a new review for an entity. A user may have only one root review per entity. Triggers a garbage collection step to remove any orphaned reviews afterwards. Note that non-users can only create an 'owner review'. Returns 204 on success
User-Auth<token>Requires a user token. Should be prefixed with User in Authorization header.
target_type*stringThe target type of the entity
target_id*stringThe target ID of the entity
application/json- body
content?stringowner_review?booleanWhether or not the review is an owner review
parent_id?stringstars?integerint32Success
application/json- response
context?Context of the error. Usually used for validation error contexts
message?stringMessage of the error
curl -X POST 'https://spider.omniplex.gg/string/string/reviews' \ -H 'Content-Type: application/json' \ -d '{}'{ "context": { "property1": "string", "property2": "string" }, "message": "string"}Edits a review by review ID. The user must be the author of this review. This will automatically trigger a garbage collection task. Note that non-users can only edit 'owner review's. Returns 204 on success
User-Auth<token>Requires a user token. Should be prefixed with User in Authorization header.
target_type*stringThe target type of the entity
target_id*stringThe target ID of the entity
review_id*stringThe review ID of the entity
application/json- body
content?stringstars?integerint32Success
application/json- response
context?Context of the error. Usually used for validation error contexts
message?stringMessage of the error
curl -X PATCH 'https://spider.omniplex.gg/string/string/reviews/string' \ -H 'Content-Type: application/json' \ -d '{}'{ "context": { "property1": "string", "property2": "string" }, "message": "string"}Deletes a review by review ID. The user must be the author of this review. This will automatically trigger a garbage collection task and returns 204 on success
User-Auth<token>Requires a user token. Should be prefixed with User in Authorization header.
target_type*stringThe target type of the entity
target_id*stringThe target ID of the entity
review_id*stringThe review ID of the entity
Success
application/json- response
context?Context of the error. Usually used for validation error contexts
message?stringMessage of the error
curl -X DELETE 'https://spider.omniplex.gg/string/string/reviews/string'{ "context": { "property1": "string", "property2": "string" }, "message": "string"}